TargetDef (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.TargetDef class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class TargetDef

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              net.sf.antcontrib.cpptasks.TargetDef

    public final class TargetDef

extends org.apache.tools.ant.types.DataType

Information on the execution platforms for the generated code. (Non-functional prototype)

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`TargetDef()` Constructor.

Method Summary
`void` | `execute()` Bogus method required for documentation generation.
`ArchEnum` | `getArch()` Gets arch.
`CPUEnum` | `getCpu()` Gets cpu.
`OSFamilyEnum` | `getOsfamily()` Gets operating system family.
`boolean` | `isActive()` Returns true if the define's if and unless conditions (if any) are satisfied.
`void` | `setArch(ArchEnum value)` Sets cpu architecture, compiler may use cpu specific instructions.
`void` | `setCpu(CPUEnum value)` Sets preferred cpu, but does not use cpu specific instructions.
`void` | `setDescription(java.lang.String desc)` Sets a description of the current data type.
`void` | `setId(java.lang.String id)` Sets an id that can be used to reference this element.
`void` | `setIf(java.lang.String propName)` Sets the property name for the 'if' condition.
`void` | `setOsfamily(OSFamilyEnum value)` Sets operating system family.
`void` | `setRefid(org.apache.tools.ant.types.Reference r)` Specifies that this element should behave as if the content of the element with the matching id attribute was inserted at this location.
`void` | `setUnless(java.lang.String propName)` Set the property name for the 'unless' condition.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetDef

    public TargetDef()

  Constructor.

Method Detail

### execute

    public void execute()

  Bogus method required for documentation generation.

### isActive

    public boolean isActive()

  Returns true if the define's if and unless conditions (if any) are satisfied.

  Returns:
    true if active

### setDescription

    public void setDescription(java.lang.String desc)

  Sets a description of the current data type.

  Overrides:
    `setDescription` in class `org.apache.tools.ant.types.DataType`
  Parameters:
    `desc` - description

### setId

    public void setId(java.lang.String id)

  Sets an id that can be used to reference this element.

  Parameters:
    `id` - id

### setIf

    public void setIf(java.lang.String propName)

  Sets the property name for the 'if' condition. The define will be ignored unless the property is defined. The value of the property is insignificant, but values that would imply misinterpretation ("false", "no") will throw an exception when evaluated.

  Parameters:
    `propName` - property name

### setRefid

    public void setRefid(org.apache.tools.ant.types.Reference r)

  Specifies that this element should behave as if the content of the element with the matching id attribute was inserted at this location. If specified, no other attributes should be specified.

  Overrides:
    `setRefid` in class `org.apache.tools.ant.types.DataType`
  Parameters:
    `r` - id of referenced target

### setUnless

    public void setUnless(java.lang.String propName)

  Set the property name for the 'unless' condition. If named property is set, the define will be ignored. The value of the property is insignificant, but values that would imply misinterpretation ("false", "no") of the behavior will throw an exception when evaluated.

  Parameters:
    `propName` - name of property

### getCpu

    public CPUEnum getCpu()

  Gets cpu.

  Returns:
    cpu, may be null.

### getArch

    public ArchEnum getArch()

  Gets arch.

  Returns:
    arch, may be null.

### getOsfamily

    public OSFamilyEnum getOsfamily()

  Gets operating system family.

  Returns:
    os family, may be null.

### setCpu

    public void setCpu(CPUEnum value)

  Sets preferred cpu, but does not use cpu specific instructions.

  Parameters:
    `value` - new value

### setArch

    public void setArch(ArchEnum value)

  Sets cpu architecture, compiler may use cpu specific instructions.

  Parameters:
    `value` - new value

### setOsfamily

    public void setOsfamily(OSFamilyEnum value)

  Sets operating system family.

  Parameters:
    `value` - new value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.